com.ibm.openpages.api.configuration

## Interface IFLSRule

-     public interface IFLSRule

  Security rules allow the administrator to create and set conditions on OpenPages objects granting record level security access. Create rules and set conditions that govern access permissions (IFLSPropertyAccess) to individual field definitions. Examples: Read Only , Read and Update to field definitions (and dependent fields) and depends on a user being listed.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IFLSPropertyAccess>` | `getAccess()` Returns the List for this rule.
    `java.lang.String` | `getConditions()` Returns the condition of FLSRule.
    `java.lang.String` | `getDescription()` Returns the description of FLSRule.
    `java.lang.String` | `getName()` Returns the name of FLSRule.
    `java.lang.Boolean` | `isEnabled()` Determines whether the rule is enabled.
    `void` | `setAccess(java.util.List<IFLSPropertyAccess> accesslist)` Sets the List of FLSRule.
    `void` | `setConditions(java.lang.String conditions)` Sets the condition of FLSRule.
    `void` | `setDescription(java.lang.String description)` Sets the description of FLSRule.
    `void` | `setEnabled(java.lang.Boolean enabled)` Enables or disables the rule.
    `void` | `setName(java.lang.String name)` Sets the name of FLSRule.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of FLSRule.
      Returns:
        string for this rule

    - #### setName

          void setName(java.lang.String name)

      Sets the name of FLSRule.
      Parameters:
        `name` - name of FLSRule, which cannot be null

    - #### getDescription

          java.lang.String getDescription()

      Returns the description of FLSRule.
      Returns:
        string for this rule

    - #### setDescription

          void setDescription(java.lang.String description)

      Sets the description of FLSRule.
      Parameters:
        `description` - description of FLSRule

    - #### getConditions

          java.lang.String getConditions()

      Returns the condition of FLSRule.
      Returns:
        string for this rule

    - #### setConditions

          void setConditions(java.lang.String conditions)

      Sets the condition of FLSRule.
      Parameters:
        `conditions` - condition of FLSRule, which cannot be null

    - #### isEnabled

          java.lang.Boolean isEnabled()

      Determines whether the rule is enabled.
      Returns:
        true if the rule is enabled, otherwise returns false

    - #### setEnabled

          void setEnabled(java.lang.Boolean enabled)

      Enables or disables the rule.
      Parameters:
        `enabled` - enables the rule when true or disables the rule when false

    - #### getAccess

          java.util.List<IFLSPropertyAccess> getAccess()

      Returns the List for this rule.
      Returns:
        List for this rule

    - #### setAccess

          void setAccess(java.util.List<IFLSPropertyAccess> accesslist)

      Sets the List of FLSRule.
      Parameters:
        `accesslist` - List of FLSRule, which cannot be null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.